Loading...
Searching...
No Matches
Opm::gpuistl::detail::has_should_call_post< T > Class Template Reference

The has_should_call_post class detects the presence of the method shouldCallPost. More...

`#include <has_function.hpp>`

## Static Public Attributes

static constexpr bool | value = std::is_same_v<decltype(test<T>(0)), std::true_type>

## Detailed Description

template<typename T>
class Opm::gpuistl::detail::has_should_call_post< T >

The has_should_call_post class detects the presence of the method shouldCallPost.

Usage:

if constexpr (has_should_call_post<decltype(preconditioner)>::value) {
// We know that the function shouldCallPost is present:
auto shouldCallPost = preconditioner.shouldCallPost();
}
Opm::gpuistl::detail::has_should_call_post
The has_should_call_post class detects the presence of the method shouldCallPost.
Definition has_function.hpp:77

Note
  This is mainly done in the GPU preconditioner to avoid having to copy data in the post step.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpuistl/detail/has_function.hpp